---
search:
  tags:
    - Translations
    - POST
seo:
  description: >-
    Creates multiple translation records in a single… Reference for the POST
    /api/v1/{team_slug}/{app_slug}/translations/bulk endpoint in the Management
    API.
sidebar:
  label: Bulk create translations
  badge: POST
title: Bulk create translations
type: openapi-operation
---
Creates multiple translation records in a single request (max 30) with support for automatic slug generation for products

`POST /api/v1/{team_slug}/{app_slug}/translations/bulk`

**Request body** (`application/json`, required)

Translation data, max 30 translations

Request body example:

```json
[
  {
    "create_slug": true,
    "field_type": "name",
    "language_code": "string",
    "parent_ref": "string",
    "parent_type": "product",
    "translation": "string"
  }
]
```

**Responses**

- `200` — Translations created successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": "string",
  "details": [
    "string"
  ],
  "success": true
}
```
